DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageWriteGIF

Write image to a GIF file (in dipIO)

## SYNOPSIS

`#include "dipio_gif.h"`

dip_Error dipio_ImageWriteGIF ( image, filename, labelImage )

## FUNCTION

This function writes the gray-value image to a GIF file, overwriting any other file with the same name. Optionally, an integer-typed image can be identified as a labeled image using `labelImage`. In that case a colour GIF image will be saved.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output image
`dip_String` | `filename` | File name
`dip_Boolean` | `labelImage` | Regard an integer image as a labeled image

## SOFTWARE

This function uses `GifLib` (version 4.1.0 or later), which supports GIF 87a & 98a. Copyright (c)1997 Eric S. Raymond

## SEE ALSO

`ImageWrite`, `ImageReadGIF`, `ImageIsGIF`

DIPlib on-line documentation | Function reference | Global function index